#ifndef __GTP_H__
#define __GTP_H__


#define COMMANDNUM 19			// コマンドの個数
#define INPUTBUF 256
#define DELIM    " "			// たぶん、コマンド引数分割時に使用
#define PROGRAMNAME "moskit"		// 自分のプログラム名
#define PROGRAMVERSION "1.0.0"	// 自分のプログラムバージョンナンバー
#define PROTOCOLVERSION "1"		// 自分のプロトコルバージョンナンバー

// たぶん、引数の改行を除去している
#define REMOVE_NEWLINE(command) if(command[strlen(command)-1] == '\n') command[strlen(command)-1] = '\0'


/***************************************************/
/* プロトタイプ宣言                                */
/***************************************************/
//gtp本体
void GTP_main();
//gtpコマンドを設定する
void GTP_setCommand();
//gtpの出力用関数
void GTP_response(char *res, int success);
//boardsizeコマンドを処理
void GTP_boardsize();
//clearboardコマンドを処理
void GTP_clearboard();
//nameコマンドを処理
void GTP_name();
//protocolversionコマンドを処理
void GTP_protocolversion();
//genmoveコマンドを処理
void GTP_genmove();
//playコマンドを処理
void GTP_play();
//playコマンドを処理
void GTP_knowncommand();
//listcommandsコマンドを処理
void GTP_listcommands();
//quitコマンドを処理
void GTP_quit();
//komiコマンドを処理
void GTP_komi();
//getkomiコマンドを処理
void GTP_getkomi();
//finalscoreコマンドを処理
void GTP_finalscore();
//timesettingsコマンドを処理
void GTP_timesettings();
//timeleftコマンドを処理
void GTP_timeleft();
//versionコマンドを処理
void GTP_version();


#endif  /* _GTP_H_ */