#ifndef __PATTERN_H__
#define __PATTERN_H__


// 3×3pattern
#define PATTERN3_MAX 65536


// 初期設定
void ClearPattern3( int *pat3 );

// 更新
void UpdatePattern3Empty( int *pat3, int pos );
void UpdatePattern3Black( int *pat3, int pos );
void UpdatePattern3White( int *pat3, int pos );

// 同一パターン
void Pattern3Transpose8( int pat3, int *transp );
void Pattern3Transpose16( int pat3, int *transp );

// 色反転
int Pattern3Reverse( int pat3 );

// 上下対称
int Pattern3VerticalMirror( int pat3 );

// 左右対称
int Pattern3HorizontalMirror( int pat3 );

// 90度回転
int Pattern3Rotate90( int pat3 );


#endif
